Loading...
Searching...
No Matches
RDKit::GaussianShape Namespace Reference

## Classes

struct | ShapeInputOptions
class | ShapeInput
struct | ShapeOverlayOptions
struct | SingleConformerAlignment

## Typedefs

using | CustomFeatures

## Functions

RDKIT_GAUSSIANSHAPE_EXPORT std::array< double, 3 > | AlignShape (const ShapeInput &refShape, ShapeInput &fitShape, RDGeom::Transform3D *xform=nullptr, const ShapeOverlayOptions &overlayOpts=ShapeOverlayOptions())
| Align a shape onto a reference shape.
RDKIT_GAUSSIANSHAPE_EXPORT std::array< double, 3 > | AlignMolecule (const ShapeInput &refShape, ROMol &fit, const ShapeInputOptions &fitOpts=ShapeInputOptions(), RDGeom::Transform3D *xform=nullptr, const ShapeOverlayOptions &overlayOpts=ShapeOverlayOptions(), int fitConfId=-1)
| Align a molecule to a reference shape.
RDKIT_GAUSSIANSHAPE_EXPORT std::array< double, 3 > | AlignMolecule (const ROMol &ref, ROMol &fit, const ShapeInputOptions &refOpts=ShapeInputOptions(), const ShapeInputOptions &fitOpts=ShapeInputOptions(), RDGeom::Transform3D *xform=nullptr, const ShapeOverlayOptions &overlayOpts=ShapeOverlayOptions(), int refConfId=-1, int fitConfId=-1)
| Align a molecule to a reference molecule.
RDKIT_GAUSSIANSHAPE_EXPORT std::array< double, 3 > | ScoreShape (const ShapeInput &refShape, const ShapeInput &fitShape, const ShapeOverlayOptions &overlayOpts=ShapeOverlayOptions())
| Score the overlap of a shape to a reference shape without moving.
RDKIT_GAUSSIANSHAPE_EXPORT std::array< double, 3 > | ScoreMolecule (const ShapeInput &refShape, const ROMol &fit, const ShapeInputOptions &fitOpts=ShapeInputOptions(), const ShapeOverlayOptions &overlayOpts=ShapeOverlayOptions(), int fitConfId=-1)
| Score the overlap of a molecule to a reference shape without moving.
RDKIT_GAUSSIANSHAPE_EXPORT std::array< double, 3 > | ScoreMolecule (const ROMol &ref, const ROMol &fit, const ShapeInputOptions &refOpts=ShapeInputOptions(), const ShapeInputOptions &fitOpts=ShapeInputOptions(), const ShapeOverlayOptions &overlayOpts=ShapeOverlayOptions(), int refConfId=-1, int fitConfId=-1)
| Score the overlap of a molecule to a reference molecule without moving.
RDKIT_GAUSSIANSHAPE_EXPORT RDGeom::Point3D | computeFeaturePos (const ROMol &mol, int confId, const std::vector< unsigned int > &ats)
RDKIT_GAUSSIANSHAPE_EXPORT RDGeom::Transform3D | quatTransToTransform (const double *quat, const double *trans)
RDKIT_GAUSSIANSHAPE_EXPORT void | applyTransformToShape (std::vector< double > &shape, RDGeom::Transform3D &xform)
RDKIT_GAUSSIANSHAPE_EXPORT void | applyTransformToShape (const double *inShape, double *outShape, size_t numPoints, RDGeom::Transform3D &xform)
RDKIT_GAUSSIANSHAPE_EXPORT void | translateShape (std::vector< double > &shape, const RDGeom::Point3D &translation)
RDKIT_GAUSSIANSHAPE_EXPORT void | translateShape (const double *inShape, double *outShape, size_t numPoints, const RDGeom::Point3D &translation)
std::ostream & | operator<< (std::ostream &os, const StartMode &sm)
double | calcVolAndGrads (const double *ref, int numRefPts, const boost::dynamic_bitset<> *refCarbonRadii, const double *fit, int numFitPts, const boost::dynamic_bitset<> *fitCarbonRadii, std::vector< double > &gradConverters, const bool useCutoff, const double distCutoff2, const double *quat=nullptr, double *gradients=nullptr)
double | calcVolAndGrads (const double *ref, int numRefPts, const int *refTypes, const double *fit, int numFitPts, const int *fitTypes, int numFitShape, std::vector< double > &gradConverters, const bool useCutoff, const double distCutoff2, const double *quat, double *gradients)

## Variables

constexpr double | P = 2.7
constexpr double | KAPPA = 2.41798793102

## Typedef Documentation

## CustomFeatures

using RDKit::GaussianShape::CustomFeatures

Initial value:
std::vector<std::tuple<unsigned int, RDGeom::Point3D, double>>

Definition at line 73 of file ShapeInput.h.

## Function Documentation

## AlignMolecule() [1/2]

RDKIT_GAUSSIANSHAPE_EXPORT std::array< double, 3 > RDKit::GaussianShape::AlignMolecule | ( | const ROMol & | ref,
|  | ROMol & | fit,
|  | const ShapeInputOptions & | refOpts = ShapeInputOptions(),
|  | const ShapeInputOptions & | fitOpts = ShapeInputOptions(),
|  | RDGeom::Transform3D * | xform = nullptr,
|  | const ShapeOverlayOptions & | overlayOpts = ShapeOverlayOptions(),
|  | int | refConfId = -1,
|  | int | fitConfId = -1 )

Align a molecule to a reference molecule.

Parameters

  ref | the reference molecule
  fit | the molecule to align
  refOpts | the options for creating the ref shape
  fitOpts | the options for creating the fit shape
  xform | if passed in as non-null, will be populated with the transformation matrix that aligns fit onto ref.
  overlayOpts | options for setting up and running the overlay
  refConfId | (optional) the conformer to use for the reference molecule
  fitConfId | (optional) the conformer to use for the fit molecule

Returns
  an array of the combination score of the shape Tversky value and the color Tversky value (zero if colors not used) and the individual values. If using color features, defaults to RDKit pharmacophore types for the features.

References RDKIT_GAUSSIANSHAPE_EXPORT.

## AlignMolecule() [2/2]

RDKIT_GAUSSIANSHAPE_EXPORT std::array< double, 3 > RDKit::GaussianShape::AlignMolecule | ( | const ShapeInput & | refShape,
|  | ROMol & | fit,
|  | const ShapeInputOptions & | fitOpts = ShapeInputOptions(),
|  | RDGeom::Transform3D * | xform = nullptr,
|  | const ShapeOverlayOptions & | overlayOpts = ShapeOverlayOptions(),
|  | int | fitConfId = -1 )

Align a molecule to a reference shape.

Parameters

  refShape | the reference shape
  fit | the molecule to align
  fitOpts | the options for creating the fit shape
  xform | if passed in as non-null, will be populated with the transformation matrix that aligns fit onto ref.
  overlayOpts | options for setting up and running the overlay
  fitConfId | (optional) the conformer to use for the fit molecule

Returns
  an array of the combination score of the shape Tversky value and the color Tversky value (zero if colors not used) and the individual values. If using color features, defaults to RDKit pharmacophore types for the features.

References RDKIT_GAUSSIANSHAPE_EXPORT.

## AlignShape()

RDKIT_GAUSSIANSHAPE_EXPORT std::array< double, 3 > RDKit::GaussianShape::AlignShape | ( | const ShapeInput & | refShape,
|  | ShapeInput & | fitShape,
|  | RDGeom::Transform3D * | xform = nullptr,
|  | const ShapeOverlayOptions & | overlayOpts = ShapeOverlayOptions() )

Align a shape onto a reference shape.

Parameters

  refShape | the reference shape
  fitShape | the shape to align
  xform | if passed in as non-null, will be populated with the transformation matrix that aligns fit onto ref.
  overlayOpts | options for the overlay

Returns
  an array of the combination score of the shape Tversky value and the color Tversky value (zero if colors not used) and the individual values. If using color features, defaults to RDKit pharmacophore types for the features.

References RDKIT_GAUSSIANSHAPE_EXPORT.

## applyTransformToShape() [1/2]

RDKIT_GAUSSIANSHAPE_EXPORT void RDKit::GaussianShape::applyTransformToShape | ( | const double * | inShape,
|  | double * | outShape,
|  | size_t | numPoints,
|  | RDGeom::Transform3D & | xform )

References RDKIT_GAUSSIANSHAPE_EXPORT.

## applyTransformToShape() [2/2]

RDKIT_GAUSSIANSHAPE_EXPORT void RDKit::GaussianShape::applyTransformToShape | ( | std::vector< double > & | shape,
|  | RDGeom::Transform3D & | xform )

References RDKIT_GAUSSIANSHAPE_EXPORT.

## calcVolAndGrads() [1/2]

double RDKit::GaussianShape::calcVolAndGrads | ( | const double * | ref,
|  | int | numRefPts,
|  | const boost::dynamic_bitset<> * | refCarbonRadii,
|  | const double * | fit,
|  | int | numFitPts,
|  | const boost::dynamic_bitset<> * | fitCarbonRadii,
|  | std::vector< double > & | gradConverters,
|  | const bool | useCutoff,
|  | const double | distCutoff2,
|  | const double * | quat = nullptr,
|  | double * | gradients = nullptr )

## calcVolAndGrads() [2/2]

double RDKit::GaussianShape::calcVolAndGrads | ( | const double * | ref,
|  | int | numRefPts,
|  | const int * | refTypes,
|  | const double * | fit,
|  | int | numFitPts,
|  | const int * | fitTypes,
|  | int | numFitShape,
|  | std::vector< double > & | gradConverters,
|  | const bool | useCutoff,
|  | const double | distCutoff2,
|  | const double * | quat,
|  | double * | gradients )

## computeFeaturePos()

RDKIT_GAUSSIANSHAPE_EXPORT RDGeom::Point3D RDKit::GaussianShape::computeFeaturePos | ( | const ROMol & | mol,
|  | int | confId,
|  | const std::vector< unsigned int > & | ats )

References RDKIT_GAUSSIANSHAPE_EXPORT.

## operator<<()

std::ostream & RDKit::GaussianShape::operator<< | ( | std::ostream & | os,
|  | const StartMode & | sm )

inline

Definition at line 87 of file ShapeOverlayOptions.h.

## quatTransToTransform()

RDKIT_GAUSSIANSHAPE_EXPORT RDGeom::Transform3D RDKit::GaussianShape::quatTransToTransform | ( | const double * | quat,
|  | const double * | trans )

References RDKIT_GAUSSIANSHAPE_EXPORT.

## ScoreMolecule() [1/2]

RDKIT_GAUSSIANSHAPE_EXPORT std::array< double, 3 > RDKit::GaussianShape::ScoreMolecule | ( | const ROMol & | ref,
|  | const ROMol & | fit,
|  | const ShapeInputOptions & | refOpts = ShapeInputOptions(),
|  | const ShapeInputOptions & | fitOpts = ShapeInputOptions(),
|  | const ShapeOverlayOptions & | overlayOpts = ShapeOverlayOptions(),
|  | int | refConfId = -1,
|  | int | fitConfId = -1 )

Score the overlap of a molecule to a reference molecule without moving.

Parameters

  ref | the reference molecule
  fit | the molecule to score
  refOpts | the options for creating the ref shape
  fitOpts | the options for creating the fit shape
  overlayOpts | options for controlling the volume calculation
  refConfId | (optional) the conformer to use for the reference molecule
  fitConfId | (optional) the conformer to use for the fit molecule

Returns
  an array of the combination score of the shape Tverksy value and the color Tversky value (zero if colors not used) and the individual values. If using color features, defaults to RDKit pharmacophore types for the features.

References RDKIT_GAUSSIANSHAPE_EXPORT.

## ScoreMolecule() [2/2]

RDKIT_GAUSSIANSHAPE_EXPORT std::array< double, 3 > RDKit::GaussianShape::ScoreMolecule | ( | const ShapeInput & | refShape,
|  | const ROMol & | fit,
|  | const ShapeInputOptions & | fitOpts = ShapeInputOptions(),
|  | const ShapeOverlayOptions & | overlayOpts = ShapeOverlayOptions(),
|  | int | fitConfId = -1 )

Score the overlap of a molecule to a reference shape without moving.

Parameters

  ref | the reference shape
  fit | the molecule to score
  fitOpts | the options for creating the fit shape
  overlayOpts | options for controlling the volume calculation
  fitConfId | (optional) the conformer to use for the fit molecule

Returns
  an array of the combination score of the shape Tversky value and the color Tversky value (zero if colors not used) and the individual values. If using color features, defaults to RDKit pharmacophore types for the features.

References RDKIT_GAUSSIANSHAPE_EXPORT.

## ScoreShape()

RDKIT_GAUSSIANSHAPE_EXPORT std::array< double, 3 > RDKit::GaussianShape::ScoreShape | ( | const ShapeInput & | refShape,
|  | const ShapeInput & | fitShape,
|  | const ShapeOverlayOptions & | overlayOpts = ShapeOverlayOptions() )

Score the overlap of a shape to a reference shape without moving.

Parameters

  refShape | the reference shape
  fitShape | the shape to score
  overlayOpts | options for controlling the volume calculation

Returns
  an array of the combination score of the shape Tversky value and the color Tversky value (zero if colors not used) and the individual values. If using color features, defaults to RDKit pharmacophore types for the features.

References RDKIT_GAUSSIANSHAPE_EXPORT.

## translateShape() [1/2]

RDKIT_GAUSSIANSHAPE_EXPORT void RDKit::GaussianShape::translateShape | ( | const double * | inShape,
|  | double * | outShape,
|  | size_t | numPoints,
|  | const RDGeom::Point3D & | translation )

References RDKIT_GAUSSIANSHAPE_EXPORT.

## translateShape() [2/2]

RDKIT_GAUSSIANSHAPE_EXPORT void RDKit::GaussianShape::translateShape | ( | std::vector< double > & | shape,
|  | const RDGeom::Point3D & | translation )

References RDKIT_GAUSSIANSHAPE_EXPORT.

## Variable Documentation

## KAPPA

double RDKit::GaussianShape::KAPPA = 2.41798793102

constexpr

Definition at line 72 of file ShapeInput.h.

## P

double RDKit::GaussianShape::P = 2.7

constexpr

Definition at line 71 of file ShapeInput.h.